qemu-ppc
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Qemu-ppc] [Qemu-devel] [PATCH v3 0/2] Fix migration of old pseries


From: Greg Kurz
Subject: Re: [Qemu-ppc] [Qemu-devel] [PATCH v3 0/2] Fix migration of old pseries
Date: Tue, 23 Feb 2016 16:04:13 +0100

On Fri, 19 Feb 2016 17:27:33 +0100
Greg Kurz <address@hidden> wrote:

> On Fri, 19 Feb 2016 15:41:10 +0100
> Laurent Vivier <address@hidden> wrote:
> 
> > On 18/02/2016 12:32, Greg Kurz wrote:  
> > > QEMU 2.4 broke the migration of old pseries machine with the addition
> > > of configuration sections, which are sent unconditionally.
> > > 
> > > We assume that QEMU 2.3 is more deployed than any newer release (based on
> > > the versions currently shipped by most distros). This v3 series hence
> > > reverses the logic from v2: it now fully fixes migration of old pseries
> > > from/to QEMU 2.3 and provides a manual workaround for the QEMU 
> > > 2.4/2.4.1/2.5
> > > case.
> > > 
> > > With this series, I could migrate the same pseries-2.3 instance in a full
> > > 2.3->2.6->2.5->2.6->2.4->2.6->2.3 cycle.    
> > 
> > I've tested all possible combinations, with and without these patches.
> > The result is here:
> > 
> > http://wiki.qemu.org/Migration/Compatibility/pseries
> >   
> 
> Excellent ! Thanks for setting this up.
> 
> > - Migration is totally broken in qemu-2.2  
> 
> Hmm... I get another error with qemu-2.2:
> 
> htab_load() bad index -65536 (0+8454 entries) in htab stream (htab_shift=26)
> qemu: warning: error while loading state section id 20
> qemu-system-ppc64: load of migration failed: Invalid argument
> 

and this happens on my ppc64le host because QEMU 2.2 doesn't have:

commit e094c4c12f33a1c965f5af02f33968a337348739
Author: C├ędric Le Goater <address@hidden>
Date:   Mon Nov 3 16:14:50 2014 +0100

    target-ppc: explicitly save page table headers in big endian

> but my command line is different from yours.
> 
> > - without these patches, migration cannot be done from/to qemu-2.3
> > - with these patches, qemu-2.3 can migrate to/from qemu-2.6
> > - 1st patch breaks pseries-2.2, pseries-2.3 migration from/to
> >   qemu-2.4/2.5 but 2nd patch allows to fix this manually.
> > 
> > Feel free to update the page.
> > 
> > Laurent
> >   
> 
> 




reply via email to

[Prev in Thread] Current Thread [Next in Thread]